function casc = cascade( st , dTm )
% Calculates the Problem Table Algorithm
% (c) Fidel Mato & UVa , 2017

    hst = st( find( st( : , 1 ) > st( : , 2 ) ) , : ) ;    % hot streams 
    cst = st( find( st( : , 1 ) < st( : , 2 ) ) , : ) ;    % cold streams 
    [ Tis dHis ] = compenth( ...
           [ [ hst( : , 1 ) - dTm/2  hst( : , 2 ) - dTm/2 hst( : , 4 ) ] ;...
             [ cst( : , 1 ) + dTm/2  cst( : , 2 ) + dTm/2 cst( : , 4 ) ] ] ) ;

%  [Tis dHis] = compenth([[hst(:,1)-dTm/2 hst(:,2)-dTm/2 hst(:,4)];
%                     [cst(:,1)+dTm/2 cst(:,2)+dTm/2 cst(:,4)]] ); # displaced+no-enthalpy

    ni   = length( Tis ) - 1   ;                           % number of intervals
    hfis = zeros( ni + 1 , 1 ) ;                           % heat flows across boundaries
    for( k = 1 : ni )
        hfis( k + 1 ) = hfis( k ) + dHis( k ) ;
    end

    casc = [ Tis hfis - min( hfis ) ] ;                    % feasible heat cascade

end
% ================================================================================ __END__
