function alpha = PR_1C_alpha( Tr , w )
% Calculates the original Peng-Robinson function alpha
% Arguments: ( Tr , w ) = [ dimless , dimless ]
% Returns  : alpha      = [ dimless ]

    m     = 0.37464 + 1.54226*w - 0.26992*w^2 ;            % [dimless]
    alpha = ( 1 + m*( 1 - sqrt( Tr ) ) )^2    ;            % [dimless]
 
end
