function Sres = VDW_1C_Sres( Z , T , P , Tc , Pc )
% Calculates residual entropy for P , T using the van der Waals EoS
% Arguments: (  Z , T , P , Tc , Pc ) = [ dimless , K , bar , K , bar ]
% Returns  : Sres                     = [ J/mol/K ]

R        = 8.314459848 ;                                   % [J/mol/K]

% a        = 27*R^2*Tc^2/64/Pc ;                             % [bar*L^2/mol^2]
b        = R*Tc/8/Pc         ;                             % [L/mol]
V        = Z*R*T/P           ;                             % [L/mol]

Sres     = -R*log( Z*( 1 - b/V ) ) ;                       % [J/mol/K]

end
